#[macro_use] extern crate derive_builder;

pub mod hub;

#[cfg(target_arch = "wasm32")]
mod wasm {
    extern crate console_error_panic_hook;
    use wasm_bindgen::prelude::*;

    #[wasm_bindgen(start)]
    pub fn start() -> Result<(), JsValue> {
        console_error_panic_hook::set_once();
        tracing_wasm::set_as_global_default();
        Ok(())
    }
}
